Bug 872590 - RFE: use bluetile with MATE instead of Gnome Shell Fallback
RFE: use bluetile with MATE instead of Gnome Shell Fallback
Product: Fedora
Classification: Fedora
Component: bluetile (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-11-02 09:45 EDT by Jeff Bastian
Modified: 2013-05-31 23:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: bluetile-0.6-16.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-31 23:16:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2012-11-02 09:45:12 EDT
Description of problem:
The MATE desktop will be in Fedora 18 [1], and since bluetile was designed to work with Gnome 2.x (which MATE is a fork of), the bluetile package should probably switch to using MATE instead of Gnome Shell in fallback mode.

[1] http://fedoraproject.org/wiki/Features/MATE-Desktop

Version-Release number of selected component (if applicable):
Comment 1 Jeff Bastian 2012-11-02 09:50:09 EDT
Adding these two files is one possible solution:

[Desktop Entry]
Name=MATE + Bluetile
Comment=Tiling window manager


mateconftool-2 --type bool --set /apps/caja/preferences/show_desktop False
mateconftool-2 --type string \
    --set /desktop/mate/session/required_components/windowmanager bluetile
exec /usr/bin/mate-session

Although, this /usr/bin/mate-bluetile-session is kinda ugly because you cannot
go back to the standard Mate window manager -- marco -- by choosing the plain
MATE option from the gdm session list.
Comment 2 Jens Petersen 2012-11-28 02:30:21 EST
Moving to rawhide - will consider this for F19.
Comment 3 Jeff Bastian 2012-11-28 13:36:01 EST
Also, Gnome 3.8 is dropping fallback mode:
Comment 4 Jens Petersen 2013-03-10 05:58:43 EDT
I switched xmonad-gnome to mate in rawhide.
Will do same for bluetile soon.
Comment 5 Jens Petersen 2013-03-25 01:48:56 EDT
Bluetile should now be using mate in rawhide now - not tested it yet.
Need to backport to F19.
Comment 6 Jens Petersen 2013-04-02 05:53:43 EDT
Should be working now in rawhide (master) bluetile-0.6-15.fc20.
Comment 7 Jeff Bastian 2013-04-02 11:41:07 EDT
Thanks!  I rebuilt the src rpm on F19 and it appears to be working fine.

I see one minor problems, though: the xsession file still has "gnome" in the filename:

This makes the gdm session selection look funny; my list contains
   MATE + Bluetile
   GNOME Classic

The "MATE + Bluetile" entry should probably down by the plain "MATE" entry.
Comment 8 Jens Petersen 2013-04-03 05:21:26 EDT
(In reply to comment #7)
> I rebuilt the src rpm on F19 and it appears to be working fine.

Thanks for testing - it will be backported to F19 "soon"
but I am planning larger package backporting which needs more work/time alas.
Anyway I think before Beta in some form.

> I see one minor problems, though: the xsession file still has "gnome" in the
> filename:
>    /usr/share/xsessions/gnome-bluetile-session.desktop

Ah good catch - I had overlooked that.

I have wondered about changing the session name sometimes, even before this.
Maybe "Bluetile MATE" would be more appropriate perhaps.
Anyway I will fix this.
Comment 9 Jens Petersen 2013-04-03 05:37:07 EDT
Ok, I renamed mate-bluetile-session to bluetile-mate-session
in bluetile-0.6-16.fc20.  Haven't actually tested it yet but
I think it should work.
Comment 10 Fedora Update System 2013-05-22 05:02:26 EDT
bluetile-0.6-16.fc19 has been submitted as an update for Fedora 19.
Comment 11 Fedora Update System 2013-05-22 18:36:41 EDT
Package bluetile-0.6-16.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bluetile-0.6-16.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-05-31 23:16:05 EDT
bluetile-0.6-16.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.